
<div class="container-fluid w-100 d-flex p-0">
    <div class="left-panel d-flex flex-column align-items-center">
        <div class="p-5 w-100">
           <a [routerLink]="['/home']" class="cursor"><i class="fa fa-arrow-left"></i> Back to Home</a> 
        </div>
        <div class="left-panel_wrapper justify-content-start">
            <div class="py-2 text-center">
                <img class="img-fluid"  src="assets/images/brand/dealday-logo.svg">
                <!-- <img class="img-fluid" width="113" height="43" src="assets/images/brand/dealday-valentine-logo.png"> -->
            </div>
            <div *ngIf="steps == 1">
                <div class="pt-4 pb-4 text-center">
                    <p class="welcome-text"><span class="strong-text">Forgot your PIN?</span></p>
                    <p class="w-75 m-auto">Enter your registered <span class="strong-text text-uppercase">phone number</span> to get a temporal login PIN</p>
                </div>
                <div class="">
                    <div>
                        <div class="mb-5">
                            <label>Phone Number</label>
                            <div class="form-group d-flex form-control align-items-center mb-0">
                                <span class="mr-3">
                                    <div class="dropdown">
                                        <div class="d-flex">
                                            <button class="btn dropdown-toggle p-0 mr-3" type="button" id="ddcountry"
                                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                <img [src]="_SelectedCountryDetails.IconUrl" class="country-flag">
                                            </button>
                                            <span class="align-self-center">{{_SelectedCountryDetails.CountryCode}}</span> 
                                        </div>
                                       
                                        <div class="dropdown-menu" aria-labelledby="ddcountry">
                                            <a class="dropdown-item py-3" (click)="CountrySelect(1)">
                                                <img src="assets/images/flag/ng.png"> Nigeria (+234)
                                            </a>
                                            <a class="dropdown-item py-3" (click)="CountrySelect(2)">
                                                <img src="assets/images/flag/gh.png"> Ghana (+233)
                                            </a>
                                        </div>
                                    </div>
                                </span>
                                <span class="w-100">
                                    <input class="custom-form"  type="text" id="tauthmobile" maxlength="11" minlength="11"
                                    oninput="this.value=this.value.replace(/[^0-9]/g,'');"
                                    [(ngModel)]="_VInfo.MobileNumber">
                                </span>
                            </div>
                            <small><a class="text-pry">This number will be verified via sms</a></small>
                        </div>
    
                        <div class="form-group">
                            <button type="button" class="btn btn-primary btn-block"
                                (click)="RequestPin()" [disabled]="_HelperService.IsProcessing">Request Pin
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div *ngIf="steps == 2">
                <div class="pt-4 pb-4 text-center">
                    <p class="welcome-text"><span class="strong-text">Pin Generated</span></p>
                    <p class="w-75 m-auto">Temporary PIN will be sent to <span class="strong-text">{{_VInfo.MobileNumber}}</span></p>
                </div>
                <div class="d-flex justify-content-center mt-4">
                    <img src="assets/images/brand/cuate.png" width="304.87px" height="269px" alt="cuate">
                </div>
            </div>
            <div *ngIf="steps == 3">
                <div class="pt-4 pb-4 text-center">
                    <p class="welcome-text"><span class="strong-text">Reset your Four Digit Pin</span></p>
                    <p class="w-75 m-auto">
                        Enter the temporary 4 digit pin sent to <span class="strong-text">{{_VInfo.MobileNumber}}</span> and your new Pin
                    </p>
                </div>
                <form>
                    <div class="mt-3">
                        <div class="input-group">
                            <input [type]="ShowPassword1 ? 'password' : 'text'" name="temporaryPin" id="temporaryPin"
                                class="form-control" placeholder="Enter your temporary 4 digit Pin"
                                [(ngModel)]="password.temporaryPin.value" minlength="4" maxlength="4"
                                oninput="this.value=this.value.replace(/[^0-9]/g,'')">
                            <span class="input-group-text inputstyle togglePassword bg-whit d-flex justify-content-center">
                                <a class="align-items-center cursor-pointer" (click)="togglePin('temporaryPin')">
                                    <i class="fa fa-eye fa-eye-slash eyeIcon" id="eye-icon" aria-hidden="true">
                                    </i>
                                </a>
                            </span>
                        </div>
                    </div>

                    <div class="mt-3">
                        <div class="input-group">
                            <input [type]="ShowPassword2 ? 'password' : 'text'" name="newPin" id="newPin"
                                class="form-control" placeholder="Enter your NEW 4 digit Pin"
                                [(ngModel)]="password.newPin.value" minlength="4" maxlength="4"
                                oninput="this.value=this.value.replace(/[^0-9]/g,'')">
                            <span class="input-group-text inputstyle togglePassword bg-whit d-flex justify-content-center">
                                <a class="align-items-center cursor-pointer" (click)="togglePin('newPin')">
                                    <i class="fa fa-eye fa-eye-slash eyeIcon" id="eye-icon" aria-hidden="true">
                                    </i>
                                </a>
                            </span>
                        </div>
                    </div>

                    <div class="mt-3">
                        <div class="input-group">
                            <input [type]="ShowPassword3 ? 'password' : 'text'" name="confirmPin"
                                id="confirmPin" class="form-control" placeholder="Retype your NEW 4 digit Pin"
                                [(ngModel)]="password.confirmPin.value" minlength="4" maxlength="4"
                                oninput="this.value=this.value.replace(/[^0-9]/g,'')">

                            <span class="input-group-text inputstyle togglePassword bg-whit d-flex justify-content-center">
                                <a class="align-items-center cursor-pointer" (click)="togglePin('confirmPin')">
                                    <i class="fa fa-eye fa-eye-slash eyeIcon" id="eye-icon" aria-hidden="true">
                                    </i>
                                </a>
                            </span>
                        </div>
                    </div>

                    <div class="mt-5">
                        <button type="button" class="btn btn-primary btn-block" (click)="ResetPin()">Reset Pin</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="right-panel">
        <div class="right-panel_wrapper">
            <div class="py-4 px-3">
            </div>
            <div id="carouselExampleSlidesOnly" class="carousel slide" data-ride="carousel">
                <div class="carousel-inner">
                  <div class="carousel-item active">
                    <span class="text-white">Don’t just spend</span>
                    <h3 class="text-white">Get the best Deals!</h3>
                      <img src="assets/images/brand/glass-woman-1.png" alt="glass woman with cards">
                  </div>
                  <div class="carousel-item">
                    <span class="text-white">Don’t just spend</span>
                    <h3 class="text-white">Get the best Deals!</h3>
                    <img src="assets/images/brand/glass-woman-2.png" alt="glass woman with bag">
                  </div>
                  <div class="carousel-item">
                    <span class="text-white">Don’t just spend</span>
                    <h3 class="text-white">Boundless Possibilities</h3>
                    <img src="assets/images/brand/glass-couple.png" alt="glass couple with bags">
                  </div>
                </div>
            </div>
        </div>
    </div>
</div>